[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetTempCursor

Changes the cursor shape temporarily, preserving the original TControl.Cursor

## Declaration

Source position: controls.pp line 1726

`public procedure TControl.SetTempCursor(`
`Value: TCursor`
`); virtual;`

## Arguments

`Value` |  | The temporary cursor shape for the control.

## Description

SetTempCursor is a method used to temporarily change the cursor shape to the TCursor value specified in Value. SetTempCursor calls the overridden method in the Parent control to apply the cursor shape in Value.

No actions are performed in the method when Parent has not been assigned.

## See also

TControl.Parent |  | The control within which the control is shown.
TWinControl.SetTempCursor |  | Changes the cursor shape temporarily, preserving the original TControl.Cursor
TCursor |  | Defines the range of values used for cursor shapes.